> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rlhf Numeric Scores

> Per-clip absolute numeric scores as (sample_id, axis_key, score) rows joined to media.



## OpenAPI

````yaml /openapi.json get /v1/rlhf/experiments/{experiment_id}/scores
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/rlhf/experiments/{experiment_id}/scores:
    get:
      tags:
        - RLHF
      summary: Get Rlhf Numeric Scores
      description: >-
        Per-clip absolute numeric scores as (sample_id, axis_key, score) rows
        joined to media.
      operationId: get_rlhf_numeric_scores_v1_rlhf_experiments__experiment_id__scores_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - description: Restrict to a single axis.
          in: query
          name: axis_key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Restrict to a single axis.
            title: Axis Key
        - description: Restrict to scores tagged with this rlhf_loop round.
          in: query
          name: round_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Restrict to scores tagged with this rlhf_loop round.
            title: Round Id
        - in: query
          name: limit
          required: false
          schema:
            default: 20000
            maximum: 100000
            minimum: 1
            title: Limit
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RlhfNumericScoresResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      deprecated: true
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    RlhfNumericScoresResponse:
      properties:
        axes:
          items:
            type: string
          title: Axes
          type: array
        experiment_id:
          title: Experiment Id
          type: string
        scores:
          items:
            $ref: '#/components/schemas/RlhfNumericScore'
          title: Scores
          type: array
        total:
          title: Total
          type: integer
        truncated:
          title: Truncated
          type: boolean
      required:
        - experiment_id
        - axes
        - total
        - truncated
        - scores
      title: RlhfNumericScoresResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RlhfNumericScore:
      description: >-
        A stored per-clip numeric score, joined back to its media and generation
        inputs.
      properties:
        anchor_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Anchor Value
        axis_key:
          title: Axis Key
          type: string
        candidate_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Candidate Key
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        file_path:
          anyOf:
            - type: string
            - type: 'null'
          title: File Path
        id:
          title: Id
          type: string
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        parameters:
          additionalProperties: true
          title: Parameters
          type: object
        rlhf_round_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rlhf Round Id
        sample_id:
          title: Sample Id
          type: string
        score:
          title: Score
          type: number
        scorer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scorer Id
        session_voter_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Voter Id
        source:
          default: human
          title: Source
          type: string
      required:
        - id
        - sample_id
        - axis_key
        - score
      title: RlhfNumericScore
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````